$(document).ready(function(){  
  //全选
  var form = layui.form;
  form.on('checkbox(allChoose)', function(data){
    var child = $(data.elem).parents('table').find('tbody input[name="leaderid[]"]');
    child.each(function(index, item){
      item.checked = data.elem.checked;
    });
    form.render('checkbox');
  });

  //设为负责人
  form.on('switch(changeLeaderType)', function(data){
    var leaderid = $(this).parent().parent().find("input[name='leaderid[]']").val();
    var leadertype = 2;
    var child = $(data.elem).parents('table').find('tbody input[name="leadertype[]"]');
    if(this.checked==true){
      child.each(function(index, item){
        item.checked = false;
      });
      this.checked = true;
      leadertype = 1;
      form.render('checkbox');
    }
    $.ajax({
      url: '/glspecial/leader/change', 
      type: 'POST',
      dataType: "json", 
      data: {specialid:specialid,leaderid:leaderid,leadertype:leadertype},
      success: function(data){
        if(data.code=="success"){
          //layer.msg("成功", {icon:1});
        }else{
          layer.msg(data.msg, {icon:2});
        }
      },
      error: function(){
        layer.msg("系统错误，请联系管理员", {icon:2});
      }
    });
    return false;
  });

  //删除
  $("#delete_button").on("click", function(){
    var checkednum = $("#list_form").find("input[name='leaderid[]']:checked").length;
    if(checkednum==0){
      layer.msg("您还没有选择", {icon: 2});
      return false;
    }
    var layerbox = layer.confirm('此操作不可恢复，<br>确认要删除吗？', {
      area: ['400px', '230px'],
      icon: 0,
      btn: ['确定','取消'] //按钮
    }, function(){
      $("#list_form").ajaxSubmit({
        url: '/glspecial/leader/delete', 
        type: 'POST',
        dataType: "json", 
        beforeSend: function(){
          layer.load(0, {shade: [0.2, '#393D49']});
        },
        success: function(data){
          if(data.code=="success"){
            layer.msg("成功", {icon:1}, function(){window.location.reload();});
          }else{
            layer.msg(data.msg, {icon:2});
          }
        },
        error: function(){
          layer.msg("系统错误，请联系管理员", {icon:2});
        },
        complete: function(){
          layer.closeAll('loading');
        }
      });
    }, function(){
      //do nothing
    });
    return false;
  });
});